<div class="popup">
  <div class="popup-header" [ngClass]="{'p-success': data.action === alterTypes.success, 'p-warn': data.action === alterTypes.warning, 'p-delete': data.action === alterTypes.error, 'p-info': data.action === alterTypes.info}">{{data.title}}</div>
  <!-- <div class="popup-icon">
      <img *ngIf="data.action === alterTypes.success" src="assets/images/success-msg-icon.png">
      <img *ngIf="data.action === alterTypes.warning" src="assets/images/warning-msg-icon.png">
      <img *ngIf="data.action === alterTypes.info" src="assets/images/info.png">
      <img *ngIf="data.action === alterTypes.error" src="assets/images/close-msg-icon.png">
  </div> -->
  <div class="popup-msg" *ngFor="let msg of data.message">{{msg}}</div>
  <div class="popup-footer">
    <div class="popup-btn-2" (click)="confirmAction()">{{data.buttonName}}</div>
  </div>
</div>
